Classes | Namespaces | Macros | Typedefs | Functions
libepubgen_utils.h File Reference
`#include <memory>`
`#include <boost/cstdint.hpp>`
`#include <librevenge-stream/librevenge-stream.h>`

Go to the source code of this file.

## Classes
struct | libepubgen::EPUBGENDummyDeleter
class | libepubgen::GenericException

## Namespaces
| libepubgen

## Macros
#define | EPUBGEN_ATTRIBUTE_PRINTF(fmt, arg)
#define | EPUBGEN_DEBUG_MSG(M)
#define | EPUBGEN_DEBUG(M)
#define | EPUBGEN_NUM_ELEMENTS(array) (sizeof(array) / sizeof(array[0]))

## Typedefs
typedef std::shared_ptr< librevenge::RVNGInputStream > | libepubgen::RVNGInputStreamPtr_t

## Functions
template<typename T , typename... Args>
std::unique_ptr< T > | libepubgen::make_unique (Args &&... args)

## Macro Definition Documentation

## ◆ EPUBGEN_ATTRIBUTE_PRINTF

#define EPUBGEN_ATTRIBUTE_PRINTF | ( |  | fmt,
|  |  | arg
| ) |  |

## ◆ EPUBGEN_DEBUG

#define EPUBGEN_DEBUG | ( |  | M | ) |

## ◆ EPUBGEN_DEBUG_MSG

#define EPUBGEN_DEBUG_MSG | ( |  | M | ) |

Referenced by libepubgen::EPUBListStyleManager::closeLevel(), libepubgen::EPUBTableStyleManager::closeTable(), libepubgen::EPUBListStyleManager::defineLevel(), libepubgen::EPUBParagraphStyleManager::defineParagraph(), libepubgen::EPUBSpanStyleManager::defineSpan(), libepubgen::EPUBTableStyleManager::extractCellProperties(), libepubgen::EPUBSpanStyleManager::extractTextPosition(), libepubgen::EPUBHTMLGeneratorImpl::flushUnsent(), libepubgen::EPUBListStyleManager::List::getCurrentProperties(), libepubgen::EPUBHTMLGenerator::openLink(), libepubgen::EPUBHTMLGeneratorImpl::pop(), libepubgen::EPUBHTMLGeneratorImpl::push(), and libepubgen::EPUBListStyleManager::List::setLevel().

## ◆ EPUBGEN_NUM_ELEMENTS

#define EPUBGEN_NUM_ELEMENTS | ( |  | array | ) | (sizeof(array) / sizeof(array[0]))